function onBegin()
    disablePause()
    disableMovement()
    makeUnskippable()
    postcard("Sunny_gh_postcard")
    setFlag("postcard_activated", true)
end

function onEnd()
    enableMovement()
    enablePause()
end